#include<iostream>
#include<cmath>
#include<fstream>
#include<iomanip>
using namespace std;
int main()
{
	int n;
	ifstream f1("tinh.inp");
	f1>>n;
	f1.close();
	ofstream f2("tinh.out");
	int a=0;
	long long int b=1;
	float c;
	long long int d;
	long long int f=1;
	long long int e=1;
	int temp;
	for(int i=0;i<=n;i++)
	{
		a=a+2*i+1;
	}
	for(int k=1;k<=n;k++)
	{
		b=b*k;
	}
	float m=float(n);
	c=0.5-1/(m+1);
	for(int u=1;u<=n-2;u++)
	{
		d=f+e;
		temp=f;
		f=d;
		e=temp;
	}
	f2.setf(ios::fixed);
	f2.setf(ios::showpoint);
	f2.precision(2);
	f2<<a<<endl;
	f2<<b<<endl;
	f2<<c<<endl;
	f2<<d<<endl;
	return 0;
}
